Skip to main content

Get Native Transfers By Account

POST

Retrieves the native token transfer history for a specific account.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
accountAddressstringrequired
Parameter specifying the account address to query. This field uses a 34-character base58 string format starting with "T".
relationstring
Parameter for filtering transactions where the queried account address is the sender or recipient.
  • from: Filter by sender only.
  • to: Filter by recipient only.
  • both (default): Returns all transactions where the queried address appears in from or to.
fromBlockstring
Parameter specifying the starting point for the query. You can enter block number, block hash, or block tag. Default is 0.
  • block number: Enter as a decimal string.
  • block hash: Enter as a 64-character hexadecimal string, excluding the 0x prefix.
  • block tag: You can enter "earliest" for fromBlock.
Notes:
  • If only fromBlock is provided without toBlock, results are queried from fromBlock to the most recent block.
  • fromBlock's block number must be less than or equal to toBlock's block number.
  • If toBlock and fromBlock have the same value, only that single block's results are queried.
  • "latest" cannot be entered for fromBlock.
toBlockstring
Parameter specifying the ending point for the query. You can enter block number, block hash, or block tag. Default is "latest".
  • block number: Enter as a decimal string.
  • block hash: Enter as a 64-character hexadecimal string, excluding the 0x prefix.
  • block tag: You can enter "latest".
Notes:
  • The blockNumber for toBlock must be greater than or equal to the blockNumber for fromBlock.
  • If toBlock and fromBlock have the same value, only that single block's results are queried.
  • If only toBlock is provided without fromBlock, results are queried from genesis block to the time specified in toBlock.
  • "earliest" cannot be entered for toBlock.
fromDatestring
Parameter specifying the start date for the query. Date must follow ISO 8601 format (YYYY-MM-DDThh:mm:ss{time zone}) including seconds.Notes:
  • If provided without toDate, results are queried from this date to the latest block.
  • fromDate value must be equal to or earlier than toDate value.
  • If fromDate and toDate have the same value, only blocks from that date are queried.
  • This field cannot be used together with fromBlock and toBlock.
  • If fromDate and toDate are not provided, the API queries data from the latest 30 days.
toDatestring
Parameter specifying the end date for the query. Date must follow ISO 8601 format (YYYY-MM-DDThh:mm:ss{time zone}) including seconds.Notes:
  • If provided without fromDate, results are queried from genesis block to this date.
  • toDate value must be equal to or later than fromDate value.
  • If fromDate and toDate have the same value, only blocks from that date are queried.
  • This field cannot be used together with fromBlock and toBlock.
  • If fromDate and toDate are not provided, the API queries data from the latest 30 days.
pageinteger
The page parameter specifies the data page to query. It accepts values up to 100; for pages exceeding 100, use the cursor pagination method.The page and cursor parameters cannot be used together. If both page and cursor are empty, cursor pagination is used.
rppinteger
rpp stands for results per page and specifies the page size. You can specify a number greater than 0 and up to 100.
cursorstring
The cursor parameter supports pagination and data navigation between pages. Provide the cursor value from the previous page in the next request to load the next page of data.The page and cursor parameters cannot be used together. If both page and cursor are empty, cursor pagination is used.
withCountboolean
Parameter specifying whether to include the count field in the response. The count field indicates the total number of requested data items. When set to true, the count field is included and response speed may be slower.
withZeroValueboolean
Parameter specifying whether to include results with value 0 in the response. Set to true for faster responses.
Responses
pageinteger
Field representing the page number specified in the page parameter. This field is only included in the response when a value greater than 0 is specified for the page parameter.
rppinteger
Field representing the number of results per page specified in the rpp parameter.
cursorstring
A field for cursor pagination. This value must be provided in the next request to load the next page of data.
countinteger
Field representing the total count of requested data. This field is only included in the response when true is set for the withCount parameter.
Field representing the actual range applied to the query. The same kind of values used in the request's range parameters are returned. A Date-based request returns fromDate and toDate, a Block-based request returns fromBlock and toBlock, and a Ledger-based request returns fromLedger and toLedger; different kinds are never mixed in a single response. When all range parameters are omitted, a default window of the last 30 days is applied and fromDate, toDate are returned. Block and Ledger values are always returned as heights (numbers), even if a hash or tag (latest, earliest) was provided in the request.
fromDatestring
Field representing the start of the query range in Date mode. Returned in ISO 8601 format.
toDatestring
Field representing the end of the query range in Date mode. Returned in ISO 8601 format.
fromBlockinteger
Field representing the start block height of the query range in Block mode.
toBlockinteger
Field representing the end block height of the query range in Block mode.
fromLedgerinteger
Field representing the start ledger index of the query range in Ledger mode.
toLedgerinteger
Field representing the end ledger index of the query range in Ledger mode.
fromstringrequired
The address that sent the native token. Provided as a 34-character base58 string starting with "T".
tostringrequired
The address that received the native token. Provided as a 34-character base58 string starting with "T".
valuestringrequired
The amount of native token transferred. Provided as a decimal string in SUN units.
blockTimestampintegerrequired
The timestamp of the block in which the transaction was included. Provided as a UNIX timestamp in milliseconds.
blockNumberintegerrequired
The block number in which the transaction was included.
transactionHashstringrequired
The unique hash of the transaction.
transactionIndexintegerrequired
The index of the transaction within the block.
internalTransactionIndexinteger
The index of the internal transaction related to TRX transfer.A value of "-1" indicates a Root Transaction.
exchangeIdoneOf
A unique ID identifying a DEX exchange transaction on the Tron network. Returns null if the transfer was not caused by an exchange transaction.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "MISSING_REQUIRED_PARAMETER",
"message": "Missing required parameter: { PARAMETER_NAME }"
}
cURL
curl -X POST 'https://web3.nodit.io/v1/tron/mainnet/native/getNativeTransfersByAccount' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"accountAddress": "T9123456789012345678901234567890123456789",
"relation": "from",
"fromBlock": "80453005",
"toBlock": "80453006",
"fromDate": "2025-01-01T00:00:00+00:00",
"toDate": "2025-01-31T00:00:00+00:00",
"page": 1,
"rpp": 10
}'